﻿using FlowerShopDataModels.Models;
using System.ComponentModel;

namespace FlowerShopContracts.ViewModels
{
    public class ShopViewModel : IShopModel
    {
        public int Id { get; set; }
        [DisplayName("Название магазина")]
        public string ShopName { get; set; } = string.Empty;
        [DisplayName("Адрес магазина")]
        public string Address { get; set; } = string.Empty;
        [DisplayName("Дата открытия")]
        public DateTime DateOpening { get; set; } = DateTime.Now;
        public Dictionary<int, (IFlowerModel, int)> ShopFlowers
        {
            get;
            set;
        } = new();
		[DisplayName("Максимальное количество цветков")]
		public int MaximumFlowers { get; set; }
	}
}
